package main

import (
	"encoding/json"
)

func stringToJson(data *string) (jsonData *map[string]interface{}, _err *error) {
	var dat map[string]interface{}
	if err := json.Unmarshal([]byte(*data), &dat); err == nil {
		return &dat, nil
	} else {
		return &dat, &err
	}
}

func stringToJsonArray(data *string) (jsonData *[]map[string]interface{}, _err *error) {
	var dats []map[string]interface{}
	if err := json.Unmarshal([]byte(*data), &dats); err == nil {
		return &dats, nil
	} else {
		return &dats, &err
	}
}
